Package com.independentsoft.office.drawing

# Enum Class SchemeColorValue

java.lang.Object
java.lang.Enum<SchemeColorValue>
com.independentsoft.office.drawing.SchemeColorValue

All Implemented Interfaces:
  `Serializable`, `Comparable<SchemeColorValue>`, `Constable`

public enum SchemeColorValue extends Enum<SchemeColorValue>
The Enum SchemeColorValue.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACCENT_1`
  `ACCENT_2`
  `ACCENT_3`
  `ACCENT_4`
  `ACCENT_5`
  `ACCENT_6`
  `BACKGROUND_1`
  `BACKGROUND_2`
  `DARK_1`
  `DARK_2`
  `FOLLOWED_HYPERLINK`
  `HYPERLINK`
  `LIGHT_1`
  `LIGHT_2`
  `NONE`
  `STYLE`
  `TEXT_1`
  `TEXT_2`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SchemeColorValue`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static SchemeColorValue[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ACCENT_1

    public static final SchemeColorValue ACCENT_1

  - ### ACCENT_2

    public static final SchemeColorValue ACCENT_2

  - ### ACCENT_3

    public static final SchemeColorValue ACCENT_3

  - ### ACCENT_4

    public static final SchemeColorValue ACCENT_4

  - ### ACCENT_5

    public static final SchemeColorValue ACCENT_5

  - ### ACCENT_6

    public static final SchemeColorValue ACCENT_6

  - ### BACKGROUND_1

    public static final SchemeColorValue BACKGROUND_1

  - ### BACKGROUND_2

    public static final SchemeColorValue BACKGROUND_2

  - ### DARK_1

    public static final SchemeColorValue DARK_1

  - ### DARK_2

    public static final SchemeColorValue DARK_2

  - ### FOLLOWED_HYPERLINK

    public static final SchemeColorValue FOLLOWED_HYPERLINK

  - ### HYPERLINK

    public static final SchemeColorValue HYPERLINK

  - ### LIGHT_1

    public static final SchemeColorValue LIGHT_1

  - ### LIGHT_2

    public static final SchemeColorValue LIGHT_2

  - ### STYLE

    public static final SchemeColorValue STYLE

  - ### TEXT_1

    public static final SchemeColorValue TEXT_1

  - ### TEXT_2

    public static final SchemeColorValue TEXT_2

  - ### NONE

    public static final SchemeColorValue NONE

- ## Method Details

  - ### values

    public static SchemeColorValue[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SchemeColorValue valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null